
QGIS Application - Bug report #4503

Using latest qgis-master, PyQGIS fails to load on Debian wheezy

2011-11-07 02:24 PM - poupou -

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.2.0 Regression?: No

Operating System: linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14426

Description

PyQGIS fails to load when starting QGIS and all of the related PyQGIS plugins are disabled. Seems similar to the resolved bug #4190

Impossible de charger PyQGIS.

Le support python va être désactivé.

Traceback (most recent call last):

  File "", line 1, in 

RuntimeError: the PyQt4.QtCore module is version -1 but the qgis.core module requires version 1

Version de Python :

2.7.2+ (default, Aug 16 2011, 09:53:36) 

[GCC 4.6.1]

Version de QGIS :

1.8.0-Trunk 'Trunk', exported

Chemin vers Python :

['/usr/share/qgis/python', '/home/philippe/.qgis/python', '/home/philippe/.qgis/python/plugins', '/usr/share/qgis/python/plugins',

'/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2', '/usr/lib/python2.7/lib-tk', '/usr/lib/python2.7/lib-old',

'/usr/lib/python2.7/lib-dynload', '/usr/local/lib/python2.7/dist-packages', '/usr/lib/python2.7/dist-packages',

'/usr/lib/python2.7/dist-packages/PIL', '/usr/lib/pymodules/python2.7/gtk-2.0', '/usr/lib/python2.7/dist-packages/gst-0.10',

'/usr/lib/python2.7/dist-packages/gtk-2.0', '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode']

History

#1 - 2011-12-09 08:38 AM - Paolo Cavallini

- Category set to Build/Install

#2 - 2014-06-28 07:41 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 2.2.0

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2015-12-05 05:15 AM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Open to Closed
Hello, bug triage...

this was for wheezy, we are in jessie and it was 4 years ago. I've got no problem to compile QGIS 2.13 to the latest Debian Stable (Jessie) and to have a

working PyQGis module.

I am closing this bug...
